curl --request GET \
--url "${UNSTRUCTURED_API_URL}/api/v1/destinations/d1a2b3c4-5d6e-7f8a-9b0c-1d2e3f4a5b6c/connection-check" \
--header "unstructured-api-key: ${UNSTRUCTURED_API_KEY}"
{
"id": "c1a2b3c4-5d6e-7f8a-9b0c-1d2e3f4a5b6c",
"status": "SUCCESS",
"reason": null,
"created_at": "2026-01-01T00:00:00Z",
"reported_at": "2026-01-01T00:00:05Z"
}
Destination
Get destination connection check
Retrieve the most recent connection check for the destination connector.
GET
/
api
/
v1
/
destinations
/
{destination_id}
/
connection-check
curl --request GET \
--url "${UNSTRUCTURED_API_URL}/api/v1/destinations/d1a2b3c4-5d6e-7f8a-9b0c-1d2e3f4a5b6c/connection-check" \
--header "unstructured-api-key: ${UNSTRUCTURED_API_KEY}"
{
"id": "c1a2b3c4-5d6e-7f8a-9b0c-1d2e3f4a5b6c",
"status": "SUCCESS",
"reason": null,
"created_at": "2026-01-01T00:00:00Z",
"reported_at": "2026-01-01T00:00:05Z"
}
The Python SDK does not support getting information about the most recent connector check for a destination connector.
Path parameters
string
required
The unique identifier of the destination connector.
Response
string
required
Unique identifier for the connection check.
string
required
Connection check status. One of:
SCHEDULED, SUCCESS, FAILURE.string
Failure reason, if applicable.
string
required
ISO 8601 timestamp when the check was initiated.
string
ISO 8601 timestamp when the check result was reported.
curl --request GET \
--url "${UNSTRUCTURED_API_URL}/api/v1/destinations/d1a2b3c4-5d6e-7f8a-9b0c-1d2e3f4a5b6c/connection-check" \
--header "unstructured-api-key: ${UNSTRUCTURED_API_KEY}"
{
"id": "c1a2b3c4-5d6e-7f8a-9b0c-1d2e3f4a5b6c",
"status": "SUCCESS",
"reason": null,
"created_at": "2026-01-01T00:00:00Z",
"reported_at": "2026-01-01T00:00:05Z"
}
Was this page helpful?

